SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000105SiT!otherpublic2008-07-18 10:352011-02-14 13:18
Reporterivan 
Assigned Toivan 
PriorityhighSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000105: Remove Dojo toolkit
DescriptionWe currently use the dojo javascript toolkit for drag and drop dashlets and for auto-complete.

The dojo toolkit is very heavy for this purpose, we should replace this with prototype and scriptaculous, which are already included with SiT.
Additional InformationThe dojo toolkit we're using is now quite old, (May 2007) and it's not possible for us to upgrade without a lot of work porting existing code to 0.9 (or later). It is possible that there may be security holes in the version we're using, I can't actually find a good changelog that would help us find out.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0000484closedivan Contacts lookup uses dojo 
parent of 0000485closedivan Incident lookup uses dojo 
parent of 0000486closedivan Dashboard uses dojo 
parent of 0000488resolvedivan Timesheet uses dojo 
parent of 0000487closedpaulh Incidents by skill report uses dojo 
parent of 0000489closedivan Sites lookup uses dojo 
related to 0000243resolvedivan browse_sites search box shows "Code not yet finished" 
related to 0000295closed Adding a contact, doesn't show in list (+2 other bugs regarding the same issue) 
child of 0000017resolvedpaulh [META] Tidy scripts 

-  Notes
User avatar (0000162)
ivan (administrator)
2008-11-05 14:17

http://dojotoolkit.org/book/dojo-porting-guide-0-4-x-0-9 [^]
User avatar (0002638)
ivan (administrator)
2010-03-10 21:14

Dojo toolkit Removed in Git for 4.0
http://gitorious.org/sit/sit/commit/a33d1359a954e5efa0fab14b2c0a027c2054355b [^] [^]

- Issue History
Date Modified Username Field Change
2008-07-18 10:35 ivan New Issue
2008-07-18 11:25 ivan Relationship added child of 0000017
2008-11-05 14:17 ivan Note Added: 0000162
2008-11-05 14:17 ivan Priority normal => high
2008-11-05 14:17 ivan Status new => confirmed
2008-11-05 14:17 ivan Additional Information Updated
2008-11-24 16:57 ivan Relationship added related to 0000243
2008-12-04 11:10 kieran Relationship added parent of 0000064
2008-12-04 11:10 kieran Relationship deleted parent of 0000064
2008-12-05 13:07 ivan Relationship added related to 0000295
2009-02-11 18:07 ivan Relationship added parent of 0000484
2009-02-11 18:08 ivan Relationship added parent of 0000485
2009-02-11 18:10 ivan Relationship added parent of 0000486
2009-02-11 18:12 ivan Relationship added parent of 0000488
2009-02-11 20:01 ivan Relationship added parent of 0000487
2009-02-11 20:04 ivan Relationship added parent of 0000489
2009-05-29 14:57 ivan Target Version 3.50 => 3.60
2009-08-21 14:29 kieran Target Version 3.60 => 4.0
2010-03-10 21:14 ivan Note Added: 0002638
2010-03-10 21:14 ivan Status confirmed => resolved
2010-03-10 21:14 ivan Fixed in Version => Current GIT
2010-03-10 21:14 ivan Resolution open => fixed
2010-03-10 21:14 ivan Assigned To => ivan
2011-02-14 13:18 ivan Fixed in Version Current GIT => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker